%global github_name recommonmark

Summary:        docutils-compatibility bridge to CommonMark
Name:           python-%{github_name}
Version:        0.7.1
Release:        3%{?dist}
License:        MIT
URL:            https://github.com/readthedocs/%{github_name}
Source0:        %{url}/archive/%{version}/%{github_name}-%{version}.tar.gz

BuildArch:      noarch

%description
A docutils-compatibility bridge to CommonMark.  This allows you to write CommonMark inside of
Docutils & Sphinx projects.  Documentation is available on Read the Docs:
http://recommonmark.readthedocs.org

%package -n     python%{python3_pkgversion}-%{github_name}
Summary:        docutils-compatibility bridge to CommonMark
BuildRequires:  python%{python3_pkgversion}-devel python%{python3_pkgversion}-sphinx
BuildRequires:  python%{python3_pkgversion}-setuptools python%{python3_pkgversion}-docutils
BuildRequires: python%{python3_pkgversion}-CommonMark python%{python3_pkgversion}-pytest
Requires:       python%{python3_pkgversion}-docutils python%{python3_pkgversion}-CommonMark
Requires:       python%{python3_pkgversion}-sphinx

BuildArch:      noarch

%description -n python%{python3_pkgversion}-%{github_name}
A docutils-compatibility bridge to CommonMark.  This allows you to write CommonMark inside of
Docutils & Sphinx projects.  Documentation is available on Read the Docs:
http://recommonmark.readthedocs.org

%prep
%autosetup -n %{github_name}-%{version}
rm -rf %{github_name}.egg-info
sed -i '1{\@^#!/usr/bin/env python@d}' recommonmark/scripts.py

%build
%py3_build

%install
%py3_install
pushd %{buildroot}%{_bindir}  # Enter buildroot bindir to ease symlink creation
for cm2bin in cm2*; do
    mv "${cm2bin}" "${cm2bin}-%{python3_version}"
    ln -s "${cm2bin}-%{python3_version}" "${cm2bin}-3"
done
popd  # Leave buildroot bindir

%check
# skip tests due to https://github.com/readthedocs/recommonmark/issues/164
%pytest --ignore tests/test_sphinx.py

%files -n python%{python3_pkgversion}-%{github_name}
%license license.md
%doc README.md
%{python3_sitelib}/%{github_name}-%{version}*-py%{python3_version}.egg-info/
%{python3_sitelib}/%{github_name}/
%{_bindir}/cm2*-3
%{_bindir}/cm2*-%{python3_version}

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.1-3
- Rebuilt for loongarch release

* Thu May 30 2024 Shuo Wang <abushwang@tencent.com> - 0.7.1-2
- enable %check

* Mon Sep 25 2023 rockerzhu <rockerzhu@tencent.com> - 0.7.1-1
- Upgrade to 0.7.1

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Feb 10 2023 Shuo Wang <abushwang@tencent.com> - 0.6.0-1
- initial build
